## quantum 2013.1.5

=== quantum/plugins/openvswitch/Makefile ===
# TODO(bgh): DIST_DIR and target for plugin
PHONY: help

AGENT_DIST_DIR=ovs_quantum_agent
AGENT_DIST_TARBALL=ovs_quantum_agent.tgz
VERSION=$(shell python -c "import sys ; sys.path.append('../../../quantum/') ; import version ; print version.canonical_version_string()")
XAPI_PLUGINS_DIR=$(AGENT_DIST_DIR)/build/ovs-quantum-agent-$(VERSION)/etc/xapi.d/plugins
RPM_BUILD_ROOT=$(AGENT_DIST_DIR)/build/rpm

help:
	@echo "make agent-dist-xen - to create the ovs-quantum-agent-${VERSION}-1.noarch.rpm"
	@echo "make agent-dist-xen-python26 - to create ovs-quantum-agent-${VERSION}-1.noarch.rpm and use python2.6"

agent-dist-xen:QUANTUM_LIBS=$(AGENT_DIST_DIR)/build/ovs-quantum-agent-$(VERSION)/usr/lib/python2.4/site-packages
agent-dist-xen-python26:QUANTUM_LIBS=$(AGENT_DIST_DIR)/build/ovs-quantum-agent-$(VERSION)/usr/lib/python2.6/site-packages

agent-dist-xen agent-dist-xen-python26: distclean
	yum --enablerepo=base install rpm-build
	mkdir -p $(XAPI_PLUGINS_DIR)
	mkdir -p $(QUANTUM_LIBS)/{quantum/plugins/openvswitch/common,quantum/openstack/common}
	mkdir -p $(QUANTUM_LIBS)/quantum/agent/linux
	mkdir -p $(RPM_BUILD_ROOT)/BUILD $(RPM_BUILD_ROOT)/SOURCES
	mkdir -p $(RPM_BUILD_ROOT)/SRPMS $(RPM_BUILD_ROOT)/RPMS $(RPM_BUILD_ROOT)/SPECS
	cp agent/*.py $(XAPI_PLUGINS_DIR)
	cp agent/*.sh $(AGENT_DIST_DIR)
	cp agent/ovs-quantum-agent-xs_xcp.spec $(AGENT_DIST_DIR)
	sed -i "s/VERSION/$(VERSION)/" $(AGENT_DIST_DIR)/ovs-quantum-agent-xs_xcp.spec
	cp README $(AGENT_DIST_DIR)
	cp ../../../etc/quantum/plugins/openvswitch/ovs_quantum_plugin.ini $(XAPI_PLUGINS_DIR)
	cp ../../agent/linux/{ovs_lib.py,utils.py,__init__.py} $(QUANTUM_LIBS)/quantum/agent/linux
	test -d $(AGENT_DIST_DIR)/build/ovs-quantum-agent-$(VERSION)/usr/lib/python2.6/site-packages && \
		sed -i 's/Requires:.*/Requires:	   python26 python26-sqlalchemy python26-mysqldb/' \
			 $(AGENT_DIST_DIR)/ovs-quantum-agent-xs_xcp.spec || true
	test -d $(AGENT_DIST_DIR)/build/ovs-quantum-agent-$(VERSION)/usr/lib/python2.6/site-packages && \
		sed -i 's/env python/env python2.6/' $(XAPI_PLUGINS_DIR)/ovs_quantum_agent.py || true
	cp ../../__init__.py $(QUANTUM_LIBS)/quantum/
	cp ../../agent/__init__.py $(QUANTUM_LIBS)/quantum/agent/
	cp ../__init__.py $(QUANTUM_LIBS)/quantum/plugins/
	cp __init__.py $(QUANTUM_LIBS)/quantum/plugins/openvswitch/
	cp common/{config.py,__init__.py} $(QUANTUM_LIBS)/quantum/plugins/openvswitch/common/
	cp ../../openstack/__init__.py $(QUANTUM_LIBS)/quantum/openstack/
	tar -czvpf ${RPM_BUILD_ROOT}/SOURCES/ovs-quantum-agent-${VERSION}.tgz -C $(AGENT_DIST_DIR)/build ovs-quantum-agent-${VERSION}
	rpmbuild -ba --define "_topdir $(shell pwd)/$(RPM_BUILD_ROOT)" --clean $(AGENT_DIST_DIR)/ovs-quantum-agent-xs_xcp.spec
	@echo "Agent package created: ovs_quantum_agent/build/rpm/RPMS/noarch/ovs-quantum-agent-${VERSION}-1.noarch.rpm"
	@echo "See README for installation details"

all:

clean:
	$(find . -name *.pyc | xargs rm)

distclean:
	-rm -rf $(AGENT_DIST_DIR)
	-rm -f $(AGENT_DIST_TARBALL)

=== debian/changelog ===
quantum (1:2013.1.5-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * Resynchronize with stable/grizzly (49cd06d) (LP: #1295674):
    - [49cd06d] Fix testcase 'TestPortsV2.test_range_allocation' failed randomly
    - [127a1cc] Fix testcase 'test_create_subnet_with_two_host_routes' failed
    - [c25ef0b] Fix problem with setting SSL protocol in QPid
    - [1939675] Update RPC code from oslo: consumer threads robustness
    - [7b33aba] Fix case error in qpid exchange name.  s/Direct/direct/
    - [e2c2fc6] Fix unable to add allow all IPv4/6 security group rule
    - [67d7d9d] Add X-Tenant-ID to metadata request

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Mar 2014 13:59:50 -0400

=== debian/control ===
Source: quantum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.4.1),
 pep8,
 python-amqplib,
 python-anyjson,
 python-cliff,
 python-configobj,
 python-coverage,
 python-eventlet,
 python-fixtures (>= 0.3.12),
 python-httplib2,
 python-iso8601,
 python-keystone,
 python-kombu,
 python-lxml,
 python-mock (>= 1.0b1),
 python-mox,
 python-netaddr,
 python-netifaces,
 python-nose,
 python-novaclient,
 python-oslo.config,
 python-paste,
 python-pastedeploy,
 python-pyudev,
 python-quantumclient (>= 1:2.2.0),
 python-routes,
 python-setuptools,
 python-setuptools-git,
 python-simplejson,
 python-sqlalchemy,
 python-testtools,
 python-webob,
 python-webtest
XS-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/grizzly/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/grizzly

Package: quantum-server
Architecture: all
Depends:
 adduser,
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: quantum-plugin-openvswitch
Description: Quantum is a virtual network service for Openstack - server
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Quantum server

Package: quantum-common
Architecture: all
Depends:
 adduser,
 python-quantum (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks: quantum-server ( <= 2013.1~g2-0ubuntu1 )
Replaces: quantum-server ( <= 2013.1~g2-0ubuntu1 )
Description: Quantum is a virtual network service for Openstack - common
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: quantum-plugin-cisco
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - Cisco plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Cisco plugin.

Package: quantum-plugin-nec
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - NEC plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin.

Package: quantum-plugin-nec-agent
Architecture: all
Depends:
 openvswitch-switch,
 quantum-common (= ${source:Version}),
 quantum-plugin-nec,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec ( <= 2013.1~g2-0ubuntu1 )
Replaces: quantum-plugin-nec ( <= 2013.1~g2-0ubuntu1 )
Description: Quantum is a virtual network service for Openstack - NEC plugin agent
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin agent.

Package: quantum-plugin-bigswitch
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - BigSwitch plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin.

Package: quantum-plugin-hyperv
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - Hyper-V plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Hyper-V plugin.

Package: quantum-plugin-brocade
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - Brocade plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Brocade plugin.

Package: quantum-plugin-plumgrid
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - PLUMgrid plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the PLUMgrid plugin.

Package: quantum-plugin-metaplugin
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - Metaplugin plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Metaplugin plugin.

Package: quantum-plugin-nicira
Architecture: all
Provides: quantum-plugin
Depends:
 quantum-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - Nicira plugin
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Nicira NVP plugin

Package: quantum-l3-agent
Architecture: all
Depends:
 quantum-common (= ${source:Version}),
 quantum-metadata-agent (= ${source:Version}),
 iputils-arping,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks:
 quantum-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
 quantum-server ( <= 2013.1~g2-0ubuntu1 )
Replaces:
 quantum-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
 quantum-server ( <= 2013.1~g2-0ubuntu1 )
Description: Quantum is a virtual network service for Openstack - l3 agent
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: quantum-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base,
 dnsmasq-utils,
 quantum-common (= ${source:Version}),
 quantum-metadata-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Replaces: quantum-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Description: Quantum is a virtual network service for Openstack - DHCP agent
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: quantum-metadata-agent
Architecture: all
Depends:

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_install:
	dh_install --fail-missing -X/usr/etc -X/usr/bin

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_clean:
	dh_clean

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/quantum/+download https://launchpad.net/quantum/.*/.*/.*/quantum-(.*)\.tar\.gz

## quantum 2013.2~b1

=== debian/changelog ===
quantum (1:2013.2~b1-0ubuntu2~cloud0) precise-havana; urgency=low

  * New bugfix release for Ubuntu Cloud Achive.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Jun 2013 15:18:08 -0500

quantum (1:2013.2~b1-0ubuntu2) saucy; urgency=low

  [ Adam Gandelman ]
  * debian/control:
    - Add version requirement to python-stevedore (>= 0.8), also add to
      python-quantum depends.
    - Add version requirement to python-fixtures (>= 0.3.12).
  * debian/patches/*: Refreshed.

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests
 
  [Chuck Short]
  * debian/patches/fix-ubuntu-tests.patch: Rediff to skip tests
    that were randomly failing in the PPAS or locally.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Jun 2013 12:06:15 -0500

quantum (1:2013.2~b1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-quantum-configuration.patch: Refreshed
  * debian/control: Add testrepository.
  * debian/control: Add subunit.
  * debian/control: Add python-d21o1 and python-pbr as build-depends.
  * debian/control: Add python-stevedore.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 31 May 2013 09:37:25 -0500

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python-cliff,
  python-configobj,
  python-coverage,
+ python-d2to1,
  python-eventlet,
  python-fixtures (>= 0.3.12),
  python-httplib2,
@@ -26,6 +27,7 @@
  python-nose,
  python-novaclient,
  python-oslo.config,
+ python-pbr,
  python-paste,
  python-pastedeploy,
  python-pyudev,
@@ -34,14 +36,16 @@
  python-setuptools,
  python-setuptools-git,
  python-simplejson,
+ python-stevedore (>= 0.8),
  python-sqlalchemy,
  python-testtools,
  python-webob,
- python-webtest
+ python-webtest,
+ subunit,
+ testrepository ( >= 0.0.8)
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/grizzly/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/grizzly
+XS-Testsuite: autopkgtest
 
 Package: quantum-server
 Architecture: all
@@ -322,3 +326,4 @@
 Package: quantum-metadata-agent
 Architecture: all
 Depends:
+ quantum-common (= ${source:Version}),

=== debian/tests/control ===
Tests: quantum-daemons python-quantum
Depends: quantum-server, quantum-l3-agent, quantum-dhcp-agent, quantum-metadata-agent,
 quantum-lbaas-agent, python-quantum
Restrictions: needs-root

## quantum gateway-0.0.8

=== requirements.txt ===
urllib3
requests>2.20
esprima>4.0
